## com.thingmagic
Enum Gen2.Session

    java.lang.Object
      java.lang.Enum<Gen2.Session>
          com.thingmagic.Gen2.Session

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Gen2.Session>

Enclosing class:
  Gen2

    public static enum Gen2.Session

extends java.lang.Enum<Gen2.Session>

Gen2 session values

Enum Constant Summary
`S0` Session 0
`S1` Session 1
`S2` Session 2
`S3` Session 3

Method Summary
`static Gen2.Session` `get(int rep)`
`int` `getCode()`
`static Gen2.Session` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Gen2.Session[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### S0

    public static final Gen2.Session S0

  Session 0

### S1

    public static final Gen2.Session S1

  Session 1

### S2

    public static final Gen2.Session S2

  Session 2

### S3

    public static final Gen2.Session S3

  Session 3

Method Detail

### values

    public static Gen2.Session[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Gen2.Session c : Gen2.Session.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Gen2.Session valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getCode

    public int getCode()

### get

    public static Gen2.Session get(int rep)